%define upstream_name    Test-Settings
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Ask or tell when certain types of tests should be run
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Test::S is a shortened interface to the functionality provided by the
Test::Settings manpage for use on the command line to modify the
environment on the fly. *This should not be used in modules! It will not
behave!*

This allows one to enable or disable certain types of tests on the command
line without needing to set environment variables by hand.

Allowed modifiers
    To use the modifiers on the command line, with many tools you can load
    the module with '-M' and provide a comma separated list of the
    modifiers you want:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.3.0-2.mga10
+ Revision: 2237310
- Mageia 10 Mass Rebuild

* Thu Feb 27 2025 tv <tv> 0.3.0-1.mga10
+ Revision: 2153481
- imported package perl-Test-Settings


* Thu Feb 27 2025 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
